« Friday Relax Google Chrome 4.0 Beta (Build 245.0) »
14/11/2009
Escrito por em Linux | 5.047 Leituras

Quinzenalmente (habitualmente após ao Friday Relax), a equipa Wine, acrónimo de “Wine Is Not a Emulator”, anuncia mais uma nova versão deste fantástico “emulador” de aplicações Windows em ambiente Linux. Uma ferramenta única e imprescindível para utilizadores Linux.

wine_need_speed_mw

Wine é uma grandiosa ferramenta, implementada em código aberto API (ou Interface de Programação de Aplicativos), que permite emular alguns programas Windows que actuam em bases X, OpenGL e Unix.

Mas o principal atractivo do programa é podermos rodar grandiosos jogos, principalmente aqueles com motor Quake (COD, ET, MOH…), entre outras aplicações possíveis como o caso da série Need for Speed (imagem em cima).

Aliada às últimas versões Linux, esta ferramenta é absolutamente obrigatória.

Compatibilidade: Todas as distribuições Linux de 32bits
Licença: GNU LGPL
Homepage: Wine HQ
Download: Wine HQ 1.1.33

Este artigo foi escrito por em 14 Nov, 2009, e está arquivado em Linux. Siga quaisquer respostas a este artigo através do RSS 2.0. Você pode deixar uma resposta ou fazer um trackback do seu próprio site.

Todo e qualquer texto publicado (posts e/ou comentários) na Internet através deste sistema não reflecte, necessariamente, a opinião deste blog ou do(s) seu(s) autor(es). Os utilizadores que optarem por escrever um comentário no campo apropriado para tal comprometem-se, por sua vez, a não transmitir ou divulgar ameaças, pornografia infantil, material racista, textos que sejam ofensivos, difamatórios, caluniosos, preconceituosos ou viole a legislação em vigor no país. +Informações na página de Termos & Condições de Utilização.

Artigos Relacionados
10 comentários em “Wine HQ 1.1.33”
  1. Daniel Rodrigues,
    Sim, já instalei o Mr. Ubuntu numa partição à parte… com duas partições: a de raiz e a home. Não pus a de Swap porque no artigo do Ubuntued referia que caso tivesse muita RAM não seria necessário. Visto que estou com a versão 64 e com 4gb de RAM não pus.

    Mas o que te queria perguntar era o que fazer para que isto não acontecesse sempre que eu reinicio o SO. Os atalhos são de pastas que estão no disco auxiliar ao Vista: http://dl.dropbox.com/u/1698402/atalhos.png ….
    Que faço?
    Desde já o meu obrigado.

    Cumps

    • Boas!
      Ainda bem que já instalaste? Não foi nada difícil, pois não? ;)
      Quanto ao teu problema, e como o Guilherme bem referiu, deriva de a partição não estar a ser montada no boot do computador. Presumo que quando abras a partição do Vista fique tudo normalizado.
      Como o Guilherme referiu, para ela se montar automaticamente no boot, é preciso editar o ficheiro /etc/fstab. É um procedimento bastante simples, mas que pode assustar. Por isso, uma solução elegante e user-friendly: http://maketecheasier.com/auto-mount-your-ntfs-pa

      Penso que em princípio não terás problemas, o artigo já é antigo, mas ainda agora testei com uma partição ext4 e funcionou, portanto deve funcionar igualmente para a tua partição, quer ela seja ntfs ou fat ;)

      E com o Flash 64 bits, problemas?

  2. Guilherme de Sousa diz:

    basta pores a partiçao do vista a montar se automaticamente com o arranque do sistema..

    esses atalhos n funcionam pq por default a tua partiçao do vista so é montada qd 'abres o disco' digamos assim.. logo ele qd ligas o pc n reconhece esses atalhos pq esse disco é como se n existisse no sistema ainda (assim de uma forma mt leiga LOL).

    metendo o disco para ser montado no fstab, mal arrancares o SO ele monta to, e apartir dai os atalhos funcionam sempre desde o inicio.

    cumps;)

  3. Boas Daniel Rodrigues e Guilherme de Sousa, o muito obrigado aos dois. Já está o problema resolvido! Pus a montar os discos logo de inicio e como tal já não se queixa que os links são inválidos.

    Já agora, vocês conhecem algum leitor PDF com "drawing capabilities"? É que, por exemplo, o foxit reader versão windows dá para fazer isso (sublinhar etc) mas a versão do ubuntu não tem essa capacidade. Conhecem algum leitor que dê para fazer isso?

    Quanto ao flash de 64 bits… onde eu reparo nisso? Para já não tenho problemas nenhuns… :S
    Desde já o muito obrigado.

    • Boas, desculpa a demora da resposta, mas acho que vai valer bem a pena, encontrei uma ferramenta perfeita para isso e para gestão de papers académicos e por aí fora. Apareceu-me por acaso :-D
      Mendeley, definem-se como last.fm dos papers. Dá para gerir, procurar por papers numa base de dados online, sincronizar entre o pc, a net e outros pc, ajuda a inserir citações bibliográficas, integração com Word, OpenOffice e Firefox para adicionar as bibliografias e ainda mais documentos à tua biblioteca. Leitor de pdf embutido, com capacidades muito interessantes de edição. MESMO. Mas ainda mais simples: How it works e Getting Started

      Para instalar no Ubuntu, Sistema»Administração»Fontes de Aplicações, clicas em Adicionar, e colas lá: deb http://www.mendeley.com/repositories/xUbuntu_9.04 . Recarregas a lista de pacotes como sugeridos, e vais ao Gestor de Pacotes Synaptic e instalas o pacote "mendeleydesktop". Ou então podes sempre acelerar na consola com: sudo apt-get install mendeleydesktop . Done ;)

      Apesar de os pacotes serem para a versão anterior do Ubuntu, funciona igualmente bem na 9.10, como estou a ter o prazer de verificar. E já agora, convém registares-te primeiro no site em http://www.mendeley.com . Enjoy ;)

      • Boas :)

        Primeiro, não tens nada que pedir desculpa pelo atraso visto que é um favor que me fazes… e visto o resultado… que grande favor não? Pois é!! Sei que te devia fazer uma estátua mas, sinceramente, não tenho dinheiro para tanto, nem para uma de esferovite lol. Estava longe de conhecer o programa, mas penso que deve ser do género do EndNote, mas este é a pagar e (acho) não traz leitor pdf.

        Ainda não testei o programa, mas assim que puder irei fazê-lo. Quanto a pacotes que funcionam tanto no 9.04 e 9.10 já reparei que isso acontece tal não me dá problemas. O que me tem dado problemas é instalar progs específicos para 32bit (a maior parte) no meu SO de 64bit… diz erro de arquitectura e depois é necessário fazer uns comandos "force" etc… Alguma solução menos rebuscada?

        Ah! O que te referias com o problema do flash 64bit?
        Outras questões de curiosidade: Que tens a dizer do Fedora 12? Não há maneira de aceder ao office live com o linux?

        Desde já o meu muito obrigado!! Cumps

        • Boas,
          Fico feliz por ajudar :-)
          Quanto ao problema das arquitecturas, não posso ajudar muito, porque uso 32 bits (coitado do meu portátil a correr 64 bits…) O comando a que te referes deve ser o –force architecture, certo? Creio que a maioria dos programas nos repositórios devem resolver as dependências 64 bits, creio. Mas se algum dia tiveres problemas, existem milhares de posts na net sobre como resolver problemas em Ubuntu 64 bits, por dia nos meus feeds recebo uns quantos ;-)
          A única recomendação é que quando fizeres download de programas dos próprios sites, tentes sempre sacar o deb com qualquer coisa como "nome_do_prog-amd64.deb", que essa é a versão 64 bits. Mas só quando estiveres a instalar por outro local que não o Software Center/Synaptic/apt-get .
          Quanto ao Flash, dizia-se que a performance dos vídeos piorava e por vezes se tornava impossível mesmo ver vídeos. Mas nos últimos tempos acho que melhorou e que o Flash em 32 bits acaba por ser pior do que em 64 bits ;)
          (cont…)

        • Fedora 12, é uma distro para quem já estiver minimamente familiarizado com Linux (como tu deves estar), as grandes novidades podes ver aqui . Na minha opinião, as melhores distro Linux que saíram nos últimos tempos foram o OpenSuse 11.2 KDE e o Mandriva 2010.0 KDE. São ambas em KDE e visualmente fantásticas. Dizem que o ambiente gráfico KDE é mais semelhante ao Windows, mas nunca me consegui adaptar nas minhas ténues aventuras por lá. Gosto mais da simplicidade do Gnome. Mas não posso deixar de reconhecer o mérito tanto dos criadores do KDE como das distros ;-) Já agora, http://www2.mandriva.com/linux/overview/ e http://news.opensuse.org/2009/11/12/opensuse-11-2

          OfficeLive, podes tentar usar a a extensão do FF User Agent Switcher, que perante os websites, faz com estejas identificado como usando o IE. Se essa solução não funcionar (estou agora a testar), podes simplesmente instalar o Firefox versão Win no Wine, tem boa performance e aí funciona de certeza ;)

          • Hum… pois (ainda não tentei) mas tendo o IE isso vai-me identificar como tendo o windows? é que o prob, acho eu, é por usar o Linux e aquilo ó suporta os windows e MacOS…

            Quanto a essas distribuições, confesso que não conhecia lol. Mas quando me ambientar bem vou ver oque se faz com o Fedora lol.

            Quanto ao force architecture, sim é isso. Mas depois não encontro o foxit no Download center para desinstalar… sugestões são bem vindas claro lol.

            Cumps e mais uma vez obrigado.

          • TIve a testar e a extensão não funca, só mesmo instalando o Firefox pelo Wine. Acabei de instalar e está a funcionar bem ;-) E até dá para teres o Firefox com o look nativo do Win7, como podes ver: http://dl.dropbox.com/u/794944/CapturaEcra-Office

            Apenas uma coisa, terás que instalar um update ao Office 2007. Não tenho o Office 2007 instalado, mas talvez o ambiente de emulação do Wine consiga lidar com esse update.

            O Foxit deve ter sido instalado por um pacote *.deb, portanto não está no Software Center, que só lida com aplicações dos repositórios oficiais. Portanto, basta um Sistema » Administração » Gestor de Pacotes Synaptic , procurar por foxitreader e marcar para desinstalação.

            Ou então na consola "sudo dpkg -r foxitreader" ;-)

Deixe o seu comentário

(obrigatório)

(obrigatório e não será publicado)



:wink: :-| :-x :twisted: :) 8-O :( :roll: :-P :oops: :-o :mrgreen: :lol: :idea: :-D :evil: :cry: 8) :arrow: :-? :?: :!: